Skip to main content
GET
/
api
/
v2
/
tokens
Get Token by reference
curl --request GET \
  --url https://gateway.paybyrd.com/api/v2/tokens \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "tokenId": "512f2ebd-0256-423d-9d6f-433606c15f41",
      "customReference": "Wallet123",
      "alias": "MyPersonalCard1",
      "brand": "MASTER",
      "expiration": "12/25",
      "maskedCardNumber": "514968******8886"
    }
  ],
  "success": true,
  "errorCode": "",
  "pagination": {
    "pageNumber": 1,
    "pageSize": 10,
    "total": 1,
    "totalAvailable": 0
  }
}

Authorizations

x-api-key
string
header
required

Query Parameters

customReference
string
required

The token reference sent in the moment of creation.

isExpired
boolean

The indicator if expired tokens should be returned. The default is false.

Response

200 - application/json

200

data
object[]
pagination
object
success
boolean

Show the success of the query

Example:

true

errorCode
string

In case of failure, the error message is filled here.

Example:

true